#include <iostream>
#include <vector>
using namespace std;

bool sortiran(vector<int> a, int k, int l, int d){
	if(k == a.size()-1)
		d--;
	for(int i = l-1; i < d-1; i++){
		if(i==k)
			i++;
		else if(i+1==k)
		{
			if(a[i]>a[i+2]) return false;
			i++;
		}
		else
			if(a[i]>a[i+1]) return false;
	}
	return true;
}

int main(){
	int n, broj, q;
	cin >> n;
	vector<int> v;
	for(int i = 0; i < n; i++){
		cin >> broj;
		v.push_back(broj);
	}
	
	cin >> q;
	int l, d;
	for(int i = 0; i < q; i++){
		cin >> l >> d;
		bool p = false;
		for(int j = l-1; j < d; j++){
			if(sortiran(v, j, l, d)){
				p = true;
				break;
			}
		}
		if(p)
			cout << "DA" << endl;
		else
			cout << "NE" << endl;
	}
	
}